<?
/*
	[SueamCMS] (C)2009-2010 ZMRNet Studio
	adm_act.php by 2009-10-11 zmrnet
*/
require_once(dirname(__FILE__).'/include/manage.php');

$sueam_act = trim($_GET['act']);
$adm_name = trim($_GET['admin']);
if(!$adm_name) die('admin Error!');

echo refresh('adm_list.php');

if($sueam_act=='unlock'){
	$_VDB['adm'][$adm_name]['lock'] = false;
	$vdb->update($_VDB);
	$vdb->save();
	die('<script>alert(\'管理员解锁成功！\')</script>');
}elseif($sueam_act=='lock'){
	$_VDB['adm'][$adm_name]['lock'] = true;
	$vdb->update($_VDB);
	$vdb->save();
	die('<script>alert(\'管理员锁定成功！\')</script>');
}

unset($_VDB);
unset($vdb);
?>